The viewer raises events for data loading, printing, exporting and switching to the designer — hook them to customize each stage.

Subscribe to viewer events.
var viewer = new Stimulsoft.Viewer.StiViewer(options, "StiViewer", false);

viewer.onBeginProcessData = function (args) {
    var ds = new Stimulsoft.System.Data.DataSet("Demo");
    ds.readJsonFile("../reports/Demo.json");
    args.report.regData("Demo", "Demo", ds);
};

viewer.onBeginExportReport = function (args) {
    if (args.format === "Html") args.settings.zoom = 2;   // 200% HTML zoom
};

viewer.onDesignReport = function (args) { alert("Design button pressed."); };

How it works. Each event exposes an args object you can inspect and modify, so the viewer's data, export and navigation behavior is fully under your control.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Cloud
Cloud-Dienstleistung für schnelle und effektive Analyse und Visualisierung von Daten für Ihr Business ohne eigene Applikationen zu erstellen oder zu programmieren.
@Component({
selector: "using-viewer-events",
imports: [Viewer],
template: `<sti-viewer [report]="report" [options]="viewerOptions" (onEmailReport)="onEmailReport($event)"></sti-viewer>`
})
export class UsingViewerEvents {
report = new Stimulsoft.Report.StiReport();
viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
onEmailReport(args: Stimulsoft.Viewer.EmailReportArgs) {
alert(`Email: ${args.settings.email} File name: ${args.fileName}`);
}
constructor() {
this.report.loadFile("Reports/SimpleList.mrt");
this.viewerOptions.toolbar.showSendEmailButton = true;
}
}Events are bound with Angular's (event) syntax or Vue's @event directive; here the handler receives the e-mail settings and file name. The same pattern covers print, export and design events.

Cloud
Cloud-Dienstleistung für schnelle und effektive Analyse und Visualisierung von Daten für Ihr Business ohne eigene Applikationen zu erstellen oder zu programmieren.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';
function onEmailReport(args: Stimulsoft.Viewer.EmailReportArgs) {
alert(`Email: ${args.settings.email} File name: ${args.fileName}`);
}
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.toolbar.showSendEmailButton = true;
</script>
<template>
<Viewer :report="report" :options="viewerOptions" @email-report="onEmailReport" />
</template>Events are bound with Angular's (event) syntax or Vue's @event directive; here the handler receives the e-mail settings and file name. The same pattern covers print, export and design events.